# Created by pyp2rpm-3.3.2
%global pypi_name atomicwrites

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 1
Summary:        Atomic file writes
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/python-atomicwrites
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
Powerful Python library for atomic file writes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Powerful Python 3 library for atomic file writes.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue May 19 2020 wally <wally> 1.4.0-1.mga8
+ Revision: 1586195
- new version 1.4.0

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-4.mga8
+ Revision: 1535274
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.3.0-3.mga8
+ Revision: 1451712
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 1.3.0-2.mga8
+ Revision: 1437592
- rebuild for python3.8
- drop python2 support
- move html docs to main pkg
- keep doc build disabled for rebuild

* Sun Mar 17 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1378239
- new version 1.3.0

* Sat Jan 05 2019 wally <wally> 1.2.1-2.mga7
+ Revision: 1349641
- rebuild for python3.7

* Tue Jan 01 2019 wally <wally> 1.2.1-1.mga7
+ Revision: 1347956
- imported package python-atomicwrites

